Catalogs
All operations require authentication.
List the catalogs of your lakehouseAlpha
Path parameters
Lakehouse ID
Project ID
Headers
Pagination cursor
Pagination size
Response
Hash of the target specification of the catalog. Send it back on update to make sure nobody changed the catalog in between.
Date the catalog was created
Current state of the catalog, computed by the service
Tasks in progress on the catalog, and its last failed task while the catalog is in ERROR. Always an array. Empty when there is none.
Unique identifier of the catalog
Readiness status of the catalog. A change is accepted only in READY or ERROR, except after a refused deletion (ERROR with a *_NOT_EMPTY status reason code), where only a new deletion is accepted. A deletion is also accepted in CREATING and UPDATING and replaces the change in progress.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested specification of the catalog
Date of the last change to the catalog
Example uses lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "name": "string", "sqlCatalog": "string", "statusReason": { "code": "CANCELED", "message": "string" }, "warehouse": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a catalog of your lakehouseAlpha
Path parameters
Catalog ID
Lakehouse ID
Project ID
Response
Hash of the target specification of the catalog. Send it back on update to make sure nobody changed the catalog in between.
Date the catalog was created
Current state of the catalog, computed by the service
Tasks in progress on the catalog, and its last failed task while the catalog is in ERROR. Always an array. Empty when there is none.
Unique identifier of the catalog
Readiness status of the catalog. A change is accepted only in READY or ERROR, except after a refused deletion (ERROR with a *_NOT_EMPTY status reason code), where only a new deletion is accepted. A deletion is also accepted in CREATING and UPDATING and replaces the change in progress.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested specification of the catalog
Date of the last change to the catalog
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "name": "string", "sqlCatalog": "string", "statusReason": { "code": "CANCELED", "message": "string" }, "warehouse": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a catalog in your lakehouseAlpha
Creates the catalog asynchronously. The response is the catalog in CREATING, with the creation task in currentTasks: follow it on the task routes of the catalog, or read the catalog until its resourceStatus is READY or ERROR.
The creation is refused with a 409 while the lakehouse is being deleted.
Path parameters
Lakehouse ID
Project ID
Request body (required)
Specification of the catalog to create
Response
Hash of the target specification of the catalog. Send it back on update to make sure nobody changed the catalog in between.
Date the catalog was created
Current state of the catalog, computed by the service
Tasks in progress on the catalog, and its last failed task while the catalog is in ERROR. Always an array. Empty when there is none.
Unique identifier of the catalog
Readiness status of the catalog. A change is accepted only in READY or ERROR, except after a refused deletion (ERROR with a *_NOT_EMPTY status reason code), where only a new deletion is accepted. A deletion is also accepted in CREATING and UPDATING and replaces the change in progress.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested specification of the catalog
Date of the last change to the catalog
Example uses lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "name": "string", "sqlCatalog": "string", "statusReason": { "code": "CANCELED", "message": "string" }, "warehouse": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a catalog of your lakehouseAlpha
Deletes the catalog asynchronously. The response is the catalog in DELETING, with the deletion task in currentTasks. Once the deletion completes, the catalog and every route under it, its tasks included, answer 404. Deleting a catalog also deletes its schemas, and the role assignments scoped to the catalog. A role permission that targets the catalog or one of its schemas is kept, with the targetState TARGET_DELETED, and gives nothing.
A deletion is accepted in READY and ERROR, and also in CREATING and UPDATING, where it replaces the change in progress. A new deletion while one is running is refused with a 409, except a deletion with force set to true on a running deletion that keeps the data, which escalates it.
Without force, the deletion keeps the data and is refused while the catalog still holds data. The refusal shows asynchronously as the catalog in ERROR, with the status reason code CATALOG_NOT_EMPTY and the failed task in currentTasks. From that state only a new deletion is accepted, typically with force set to true. With force set to true, the tables, views and data the catalog holds are deleted too.
Path parameters
Catalog ID
Lakehouse ID
Project ID
Query parameters
Also delete the tables, views and data it holds. Without it, the deletion is refused while data remains.
Response
Hash of the target specification of the catalog. Send it back on update to make sure nobody changed the catalog in between.
Date the catalog was created
Current state of the catalog, computed by the service
Tasks in progress on the catalog, and its last failed task while the catalog is in ERROR. Always an array. Empty when there is none.
Unique identifier of the catalog
Readiness status of the catalog. A change is accepted only in READY or ERROR, except after a refused deletion (ERROR with a *_NOT_EMPTY status reason code), where only a new deletion is accepted. A deletion is also accepted in CREATING and UPDATING and replaces the change in progress.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested specification of the catalog
Date of the last change to the catalog
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "name": "string", "sqlCatalog": "string", "statusReason": { "code": "CANCELED", "message": "string" }, "warehouse": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Update a catalog of your lakehouseAlpha
Replaces the catalog's target specification as a whole. The body carries the complete desired state of every field publicCloud.lakehouse.CatalogUpdateTargetSpec exposes — description — so read the catalog first and restate every value you want to keep: a field left out of targetSpec is cleared, not carried over from the stored specification.
The create-only field name cannot be changed once the catalog exists. It is deliberately absent from the update model, and sending it is rejected with a 400.
On a READY catalog the change is applied at once: the response is 200 with the catalog READY. On a catalog in ERROR the change is applied asynchronously, even when the specification is unchanged, to bring the catalog out of ERROR: the response is 202 with the catalog UPDATING and the new task in currentTasks. The update is refused with a 409 while the catalog is CREATING, UPDATING or DELETING, and after a refused deletion, from which only a new deletion is accepted.
The optional checksum guards against a lost update: when supplied it must match the catalog's current checksum or the request is rejected with a 409 checksum mismatch. Omitting it skips the check and forces the write (last-write-wins).
Path parameters
Catalog ID
Lakehouse ID
Project ID
Request body (required)
Checksum of the catalog as you last read it. When set, the update is refused with a 409 checksum-mismatch conflict if the catalog changed since. When omitted or empty, no check is made.
New specification of the catalog. It replaces the whole current specification: an optional field you omit is reset to its default. Send only the fields of this model: a field that can only be set at creation is refused.
Response
Hash of the target specification of the catalog. Send it back on update to make sure nobody changed the catalog in between.
Date the catalog was created
Current state of the catalog, computed by the service
Tasks in progress on the catalog, and its last failed task while the catalog is in ERROR. Always an array. Empty when there is none.
Unique identifier of the catalog
Readiness status of the catalog. A change is accepted only in READY or ERROR, except after a refused deletion (ERROR with a *_NOT_EMPTY status reason code), where only a new deletion is accepted. A deletion is also accepted in CREATING and UPDATING and replaces the change in progress.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested specification of the catalog
Date of the last change to the catalog
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "description": "string", "name": "string", "sqlCatalog": "string", "statusReason": { "code": "CANCELED", "message": "string" }, "warehouse": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "description": "string", "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
List the tasks of a catalog of your lakehouseAlpha
Path parameters
Catalog ID
Lakehouse ID
Project ID
Headers
Pagination cursor
Pagination size
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a task of a catalog of your lakehouseAlpha
Path parameters
Catalog ID
Lakehouse ID
Project ID
Task ID
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}
List the events of a catalog of your lakehouseAlpha
Path parameters
Catalog ID
Lakehouse ID
Project ID
Query parameters
Return only the events of this task
Headers
Pagination cursor
Pagination size
Response
Creation date of the event
Nature of the event
Link to the event related resource
Description of what happened on the event
Type of the event
TARGET_SPEC_UPDATETASK_ERRORTASK_STARTTASK_SUCCESSExample uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ event \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "link": "string", "message": "string", "type": "TARGET_SPEC_UPDATE" }]
List the schemas of a catalog of your lakehouseAlpha
Path parameters
Catalog ID
Lakehouse ID
Project ID
Headers
Pagination cursor
Pagination size
Response
Hash of the target specification of the schema, which never changes after creation
Date the schema was created
Current state of the schema, computed by the service
Tasks in progress on the schema, and its last failed task while the schema is in ERROR. Always an array. Empty when there is none.
Unique identifier of the schema
Readiness status of the schema. The schema cannot be changed: delete it and create it again. A deletion is accepted in READY, ERROR, CREATING and UPDATING, and replaces the change in progress.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested specification of the schema
Date of the last change to the schema
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ schema \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "name": "string", "statusReason": { "code": "CANCELED", "message": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a schema of a catalog of your lakehouseAlpha
Path parameters
Catalog ID
Lakehouse ID
Project ID
Schema ID
Response
Hash of the target specification of the schema, which never changes after creation
Date the schema was created
Current state of the schema, computed by the service
Tasks in progress on the schema, and its last failed task while the schema is in ERROR. Always an array. Empty when there is none.
Unique identifier of the schema
Readiness status of the schema. The schema cannot be changed: delete it and create it again. A deletion is accepted in READY, ERROR, CREATING and UPDATING, and replaces the change in progress.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested specification of the schema
Date of the last change to the schema
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string, schemaId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ schema/ {schemaId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "name": "string", "statusReason": { "code": "CANCELED", "message": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a schema in a catalog of your lakehouseAlpha
Creates the schema asynchronously. The response is the schema in CREATING, with the creation task in currentTasks: follow it on the task routes of the schema, or read the schema until its resourceStatus is READY or ERROR.
The creation is refused with a 409 while the lakehouse or the catalog is being deleted. A schema cannot be changed after creation.
Path parameters
Catalog ID
Lakehouse ID
Project ID
Request body (required)
Specification of the schema to create
Response
Hash of the target specification of the schema, which never changes after creation
Date the schema was created
Current state of the schema, computed by the service
Tasks in progress on the schema, and its last failed task while the schema is in ERROR. Always an array. Empty when there is none.
Unique identifier of the schema
Readiness status of the schema. The schema cannot be changed: delete it and create it again. A deletion is accepted in READY, ERROR, CREATING and UPDATING, and replaces the change in progress.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested specification of the schema
Date of the last change to the schema
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ schema \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "name": "string", "statusReason": { "code": "CANCELED", "message": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a schema of a catalog of your lakehouseAlpha
Deletes the schema asynchronously. The response is the schema in DELETING, with the deletion task in currentTasks. Once the deletion completes, the schema and every route under it, its tasks included, answer 404. A role permission that targets the schema is kept, with the targetState TARGET_DELETED, and gives nothing.
A deletion is accepted in READY and ERROR, and also in CREATING and UPDATING, where it replaces the change in progress. A new deletion while one is running is refused with a 409, except a deletion with force set to true on a running deletion that keeps the data, which escalates it.
Without force, the deletion keeps the data and is refused while the schema still holds data. The refusal shows asynchronously as the schema in ERROR, with the status reason code SCHEMA_NOT_EMPTY and the failed task in currentTasks. From that state only a new deletion is accepted, typically with force set to true. With force set to true, the tables, views and data the schema holds are deleted too.
Path parameters
Catalog ID
Lakehouse ID
Project ID
Schema ID
Query parameters
Also delete the tables, views and data it holds. Without it, the deletion is refused while data remains.
Response
Hash of the target specification of the schema, which never changes after creation
Date the schema was created
Current state of the schema, computed by the service
Tasks in progress on the schema, and its last failed task while the schema is in ERROR. Always an array. Empty when there is none.
Unique identifier of the schema
Readiness status of the schema. The schema cannot be changed: delete it and create it again. A deletion is accepted in READY, ERROR, CREATING and UPDATING, and replaces the change in progress.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast requested specification of the schema
Date of the last change to the schema
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string, schemaId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ schema/ {schemaId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "name": "string", "statusReason": { "code": "CANCELED", "message": "string" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
List the events of a schema of your lakehouseAlpha
Path parameters
Catalog ID
Lakehouse ID
Project ID
Schema ID
Query parameters
Return only the events of this task
Headers
Pagination cursor
Pagination size
Response
Creation date of the event
Nature of the event
Link to the event related resource
Description of what happened on the event
Type of the event
TARGET_SPEC_UPDATETASK_ERRORTASK_STARTTASK_SUCCESSExample uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string, schemaId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ schema/ {schemaId}/ event \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "link": "string", "message": "string", "type": "TARGET_SPEC_UPDATE" }]
List the tasks of a schema of your lakehouseAlpha
Path parameters
Catalog ID
Lakehouse ID
Project ID
Schema ID
Headers
Pagination cursor
Pagination size
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string, schemaId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ schema/ {schemaId}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get a task of a schema of your lakehouseAlpha
Path parameters
Catalog ID
Lakehouse ID
Project ID
Schema ID
Task ID
Response
Creation date of the task
Errors that occurred on the task
Ending date of the task
Unique identifier of the task
Link to the related resource
Description of the task
Progress steps of the asynchronous operation
Starting date of the task
Current global status of the task
DONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUTType of the task
Last update of the task
Example uses catalogId = 00000000-0000-0000-0000-000000000000, lakehouseId = 00000000-0000-0000-0000-000000000000, projectId = string, schemaId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ lakehouse/ {lakehouseId}/ catalog/ {catalogId}/ schema/ {schemaId}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}